[latexila] build: don't use gnome-autogen.sh (deprecated)
- From: Sébastien Wilmet <swilmet src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [latexila] build: don't use gnome-autogen.sh (deprecated)
- Date: Thu, 20 Aug 2015 10:25:18 +0000 (UTC)
commit 76a42ce4dc12efd9647b02a5df867d7af8c3513d
Author: Sébastien Wilmet <swilmet gnome org>
Date: Thu Aug 20 12:20:17 2015 +0200
build: don't use gnome-autogen.sh (deprecated)
https://wiki.gnome.org/Projects/GnomeCommon/Migration
autogen.sh | 46 ++++++++++++++++++++++++++++++++++------------
1 files changed, 34 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index cdef5f8..b277d73 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,20 +1,42 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-[ -z "$srcdir" ] && srcdir=.
+olddir=`pwd`
-PKG_NAME=latexila
-REQUIRED_AUTOMAKE_VERSION=1.7
+cd $srcdir
-if [ ! -f "$srcdir/configure.ac" ]; then
- echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+ exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** \`$0\' command line." >&2
+ echo "" >&2
fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from GNOME Git"
- exit 1
-}
+set -x
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
-. gnome-autogen.sh "$@"
+{ set +x; } 2>/dev/null
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]